blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
c55d5e6a5ff23ee97dbd2348f943f70e4b3e87b4 | Shell | ioteleman/InternetOfThings | /tos/chips/msp432/usci/generate.sh | UTF-8 | 3,114 | 4.125 | 4 | [
"BSD-3-Clause",
"MIT"
] | permissive | #!/bin/sh
#
# Given implementations for USCI_A0 and USCI_B0, generate equivalent
# configurations for the higher-numbered module instances.
#
# Much of the USCI implementation is identical except for varying
# based on the instance number of the module to which a component
# belongs. To avoid implementation divergence... | true |
4864fb3cc04ba5b1e283b3c0e9c80dcb233a7576 | Shell | mech3132/MSC_code | /qiime2_fastq_to_table.sh | UTF-8 | 3,630 | 3.65625 | 4 | [] | no_license | #!bin/bash
######## This script takes a list of fastq file pathways and "merges" them into one ASV table ######
. activate qiime2-2021.11
################################################################################################
#### Help ####
################################################################... | true |
8a0fe10334b7e83cd32011b566aebb088e66f9ab | Shell | gunar/shellcheck | /tests/shellcheck/quoting/quoting.sh | UTF-8 | 699 | 3.28125 | 3 | [
"MIT",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/usr/bin/env sh
echo $1 # Unquoted variables
find . -name *.ogg # Unquoted find/grep patterns
rm "~/my file.txt" # Quoted tilde expansion
v='--verbose="true"'; cmd $v # Literal quotes in variables
for f in "*.ogg" # Incorrectly quoted 'for... | true |
3860f234e06165c0eb6779db9372466ac06bbc0b | Shell | gregkh/gregkh-linux | /scripts/count_lines | UTF-8 | 5,216 | 4.21875 | 4 | [] | no_license | #!/bin/bash
#
# Copyright 2016 Greg Kroah-Hartman <gregkh@linuxfoundation.org>
#
# Released under the GPL version 2 only.
# SPDX-License-Identifier: GPL-2.0
#
# Count the lines of kernel code that we are actually using for our machine
#
# Run this in a Linux kernel source directory where you have built the
# kernel alr... | true |
dd2089b3800e4585c5d26285fc233841bbb31f47 | Shell | cadia-lvl/kaldi | /egs/althingi/s5/local/re-insert-oov.sh | UTF-8 | 1,130 | 3.390625 | 3 | [
"Apache-2.0",
"LicenseRef-scancode-public-domain"
] | permissive | #!/bin/bash -e
# Copyright 2017 Reykjavik University (Author: Inga Rún Helgadóttir)
# Apache 2.0
set -o pipefail
textfile=$1
wordfile=$2
textfile_wOOV="${textfile%.*}.wOOV.txt"
IFS=$'\n'
#cp ${textfile} ${textfile_wOOV}
# NOTE! The following is way to slow! Can I skip all this reading and writing to files and use... | true |
44cddb0fa680c15ecffdd1e8d0c0901a091622eb | Shell | evertrue/et_cassandra-cookbook | /templates/default/snapshot-cassandra.erb | UTF-8 | 4,093 | 3.765625 | 4 | [] | no_license | #!/usr/bin/env bash
set -e
<% if node['et_cassandra']['cronitor']['backups_snapshot']['enabled'] -%>
/usr/local/bin/cronitor_backups_snapshot run
<% end -%>
source /etc/cassandra/snapshots.conf
let tar_retries=<%= node['et_cassandra']['snapshot']['tar_retries'] %>
let upload_retries=<%= node['et_cassandra']['snapsh... | true |
1523fe7996c9c56746df3bff5fd253892aeea140 | Shell | eemc2oops/zkhx | /source/srio/RapidIO_RRMAP-master/admin_init_dir.sh | UTF-8 | 1,096 | 4.09375 | 4 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
PRINTHELP=0
if [ "$#" -lt 5 ]; then
echo $'\nadmin_init_dir.sh requires 5 parameters.\n'
PRINTHELP=1
fi
if [ $PRINTHELP = 1 ] ; then
echo "admin_init_dir.sh <NODE1> <NODE2> <NODE3> <NODE4> <group>"
echo "<NODE1> Name of master, enumerating node"
echo "<NODE2> Name of slave nod... | true |
5137c76d6fe7ee42472dc712245e6a42784dadfd | Shell | dsdeiz/dotfiles | /roles/common/files/dotfiles/bin/git-feature | UTF-8 | 1,188 | 4.28125 | 4 | [] | no_license | #!/usr/bin/env dash
#
# Create a branch named `[alias][separator][optional-version]-[issue-key]-[description]`.
#
show_help() {
cat << EOF
Usage: ${0##*/} [-a ALIAS] [-s SEPARATOR] [-v VERSION] [ISSUE-KEY] [DESCRIPTION]
Create a hotfix, feature, release, or release update branch.
-a Alias of the feature whethe... | true |
faf0aa80d7fdec7bc3034d3af14b853fa9c1b73d | Shell | coderSkyChen/Action_Recognition_Zoo | /model_zoo/models/slim/scripts/train_cifarnet_on_cifar10.sh | UTF-8 | 1,268 | 3.109375 | 3 | [
"MIT",
"Apache-2.0"
] | permissive | #!/bin/bash
#
# This script performs the following operations:
# 1. Downloads the Cifar10 dataset
# 2. Trains a CifarNet model on the Cifar10 training set.
# 3. Evaluates the model on the Cifar10 testing set.
#
# Usage:
# cd slim
# ./scripts/train_cifar_net_on_mnist.sh
# Where the checkpoint and logs will be saved to.... | true |
dfcb027cefc637907ee1250cd5f1c65933581ae5 | Shell | kpematopa/SlackBuilds | /clamav-gui/clamav-gui.SlackBuild | UTF-8 | 3,076 | 3.296875 | 3 | [] | no_license | #!/bin/sh
#
# Slackware build script for clamav-gui
#
# Copyright 2015 Corrado Franco (http://conraid.net)
# All rights reserved.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version... | true |
f2ac9cf5f307b3a64109d614a2cafbc80e05a359 | Shell | s0rbus/git-utils | /git-summary | UTF-8 | 2,547 | 3.78125 | 4 | [] | no_license | #!/bin/sh
GIT_FLOW=`which git-flow`
if [ $? -gt 0 ]; then
#echo "git-flow not installed, will not use this in summary"
USE_GIT_FLOW=false
else
USE_GIT_FLOW=true
GIT_FLOW_DIR=`dirname $GIT_FLOW`
# load common functionality
. "$GIT_FLOW_DIR/gitflow-common"
fi
cb=`git branch | sed -e '/^[^*]/d' | sed -e... | true |
d5c0b700ec3cfa39c0025ee590404de4b3200bde | Shell | barcus/bareos | /webui/21-ubuntu/docker-entrypoint.sh | UTF-8 | 688 | 3.421875 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
if [ ! -f /etc/bareos-webui/bareos-config.control ];then
tar xzf /bareos-webui.tgz --backup=simple --suffix=.before-control
# Update bareos-webui config
sed -i 's#diraddress.*#diraddress = '\""${BAREOS_DIR_HOST}"\"'#' \
/etc/bareos-webui/directors.ini
# Control file
touch /etc/bareo... | true |
eb87b8334574ca9c3feed348ab005a5abad7156a | Shell | Pantsworth/scripps_college_scripts | /edu.ohio.scripps.mamp_config/mamp_config.sh | UTF-8 | 565 | 2.765625 | 3 | [] | no_license | #!/bin/bash
MAMP_ROOT="/Applications/MAMP/htdocs"
DOC_LOC="$HOME/Documents"
#Symlink $TEMP_LOC to the $DOC_ROOT
if [ ! -d "$MAMP_ROOT/$USER" ]; then
ln -s $DOC_LOC $MAMP_ROOT/$USER
fi
#Preference Changes
defaults write de.appsolute.MAMP startServers -bool false
defaults write de.appsolute.MAMP checkForMampPro -bool... | true |
74dcf8496de5f9b44328e7ed4402e178a55f1637 | Shell | Axarva/dotfiles-2.0 | /config/eww-1920/scripts/quote-trimmer | UTF-8 | 306 | 2.953125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
quote=$(cat /tmp/xmonad/quotes/quote)
qc=$(cat /tmp/xmonad/quotes/quote | wc -c)
if [ "$qc" -le 58 ]; then
echo "" > /tmp/xmonad/quotes/quote-tail
else
printf '%s\n' "${quote:0:${#quote}/2}" > /tmp/xmonad/quotes/quote
printf '%s\n' "${quote:${#quote}/2}" > /tmp/xmonad/quotes/quote-tail
fi
| true |
5b357beadfe8cb9dd75b44b649a6f5f0e832bfe7 | Shell | spacemanspiff2007/HABApp | /container/entrypoint.sh | UTF-8 | 746 | 3.625 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash -x
set -euo pipefail
NEW_USER_ID=${USER_ID}
NEW_GROUP_ID=${GROUP_ID:-$NEW_USER_ID}
echo "Starting with habapp user id: $NEW_USER_ID and group id: $NEW_GROUP_ID"
if ! id -u habapp >/dev/null 2>&1; then
if [ -z "$(getent group $NEW_GROUP_ID)" ]; then
echo "Create group habapp with id ${NEW_GROUP_ID}"... | true |
74ad9e9d59bb7cb90f42dffd53ffa9903ad7fc56 | Shell | keironstoddart/OSGeo4A | /recipes/protobuf/recipe.sh | UTF-8 | 1,456 | 3.3125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# version of your package
VERSION_protobuf=3.6.1 # Has to match host version
# dependencies of this recipe
DEPS_protobuf=()
# url of the package
#URL_protobuf=http://www.protobuf.org/builds/protobuf-0.26-trunk.tar.gz
URL_protobuf=https://github.com/protocolbuffers/protobuf/archive/v${VERSION_protobuf}/pr... | true |
10f8c2ea945c69203c682cd6776de75603b311df | Shell | unxmaal/compilertron | /files/build_gcc.sh | UTF-8 | 1,381 | 3.171875 | 3 | [] | no_license | #!/bin/bash
export PREFIX=/opt/irix/sgug
export IRIX=/opt/irix/root
export BUILD=/root/rpmbuild/BUILD
cd /root/rpmbuild/SOURCES/gcc-9.2.0-20190812
patch -p1 < ../gcc.sgifixes.patch
cd ..
main(){
if [[ -e "${BUILD}/gcc-9.2.0-20190812" ]] ; then
rm -rf "${BUILD}/gcc-9.2.0-20190812"
fi
mkdir -p "${BU... | true |
2fa6a92f381c47af7a96067f430e34deec501f84 | Shell | steven-em/sysdump_amazon_rex | /rootfs.img.gz/fwo_rootfs.img/usr/sbin/otaup | UTF-8 | 8,709 | 3.625 | 4 | [] | no_license | #!/bin/sh
export PATH=/usr/sbin:${PATH}
source /etc/upstart/functions
source /etc/upstart/bundlefuncs
BLANKET=com.lab126.update
ID_IMAGE=128
ID_SCRIPT=129
TMPDIR=/tmp/.update-tmp.$$
TMPSIZE=190M
ERR_GENERAL=U000
ERR_BUNDLE_VER=U001
ERR_BUNDLE_MD5=U002
ERR_UPDATE_MISSING=U004
ERR_UPDATE_TMPDIR=U005
ERR_UPDATE_FAI... | true |
3ef239aa70f81de519e250490ebe1934880af7a5 | Shell | iriberri/graphql-pg | /demo/local-dev.sh | UTF-8 | 183 | 2.6875 | 3 | [] | no_license | #!/bin/bash
set -e
pushd ..
yarn run build
yarn pack
popd
PACKAGE_FILE=graphql-pg-`date +%s`.tgz
mv ../graphql-pg-v* $PACKAGE_FILE
yarn add --force ./$PACKAGE_FILE
yarn run start
| true |
1837e61cae53d3914a6ec136baeef1e5fbd73f34 | Shell | phlummox/tiddlyserve | /init.sh | UTF-8 | 430 | 2.90625 | 3 | [] | no_license |
set -x
export WORK=$PWD
mkdir -p "${WORK}/.npm-packages"
export NPM_PACKAGES="${WORK}/.npm-packages"
echo 'prefix=${NPM_PACKAGES}' \
| tee "${WORK}/.npmrc"
ln -s "${WORK}/.npmrc" $HOME/
export NODE_PATH="$NPM_PACKAGES/lib/node_modules:$NODE_PATH"
export PATH="$NPM_PACKAGES/bin:$PATH"
#unset MANPATH # delete i... | true |
76dd6149df3025b3e4d3afccf93f14ed3b728976 | Shell | rderik/kmaps-docker | /verify_places_name_existance.sh | UTF-8 | 1,241 | 3.609375 | 4 | [] | no_license | #!/usr/bin/env sh
#!/bin/bash
USAGE="Usage:\n${0##*/} --source=csv_file_name"
arguments=""
for i in "$@"
do
case $i in
--help)
echo "${USAGE}"
;;
--source=*)
USOURCE="${i#*=}"
SOURCE=$(printf %q "${USOURCE}")
shift # past argument=value
;;
--debug)
DEBUG=1
shift # past arg... | true |
cee6b333e3cc42c77e6716548d8195f1aa539cc3 | Shell | ahmedhamada/lazy-duck-starter-pack | /start_subdomain_discover.sh | UTF-8 | 3,511 | 3.046875 | 3 | [] | no_license | #!/bin/bash
#include the varibles
source init.sh
echo $(date) starting massdns >> $logs
# cd massdns
./massdns/scripts/subbrute.py lists/sublister_names.txt $domain | ./massdns/bin/massdns -r lists/resolvers.txt -t A -o S -w $report_path/$domain/massdns_report.txt
# cd ..
cat $report_path/$domain/massdns_report.t... | true |
3bea75da45a0ff1183e36ff2973c938b5631421e | Shell | ycanty/installer | /setup-mac.sh | UTF-8 | 786 | 4.125 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# Run this file with sudo, from a bash shell
SCRIPTDIR=$(dirname $([[ $0 = /* ]] && echo "$0" || echo "$PWD/${0#./}"))
check_homebrew() {
which brew > /dev/null 2>&1
return $?
}
install_homebrew() {
/usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/inst... | true |
ad985704778b2242cd9830f1b1ac721c56f32ca3 | Shell | ariver/bash_functions | /num_gitfile_renum.sh | UTF-8 | 533 | 3.6875 | 4 | [] | no_license | #! /dev/null/bash
function num_gitfile_renum ()
{
declare file file_d file_n file_b I J diff files
[ -n "${1}" -a "${#}" -gt 1 ] || return 1
diff="${1}"
shift
files=("${@}")
for file in "${files[@]}"
do
file_d="${file%/*}"
[ "${file_d}" != "${file}" ] || file_d=
... | true |
01fbcb5aeaf243540700e80ca8db73ff1f8bb1d1 | Shell | DIWesser/scripts | /straywords.sh | UTF-8 | 503 | 3.84375 | 4 | [] | no_license | #!/bin/bash
# This script adds snippets to my files of random notes
timeZone="America/Halifax"
creationDate="$(env TZ=$timeZone date +'%Y-%m-%d %Z')"
noteDir="$HOME/Dropbox/Notes/"
noteFile="$noteDir/Stray Words.md"
tmpfile="$(mktemp)"
add_words_to_note() {
printf "\n**$creationDate:** " >> "$noteFile"
cat ... | true |
ee54e85514c9ebd97268a09799c530eba12d2e9f | Shell | yaserdarzi/hackerrank-linux-shell-bash | /cut#2.sh | UTF-8 | 45 | 2.625 | 3 | [] | no_license | while read N; do
echo $N | cut -b 2,7
done | true |
9623d3873b0a9dabc2ccd27751bcf822f91a06fb | Shell | verdimrc/pyutil | /awscli-scripts/ccls | UTF-8 | 1,008 | 3.828125 | 4 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
mode='brief'
declare -a AWS_CLI_OPTS=()
parse_args() {
while [[ $# -gt 0 ]]; do
key="$1"
case $key in
-h|--help)
echo "List AWS CodeCommit repositories."
echo "Usage: $(basename ${BASH_SOURCE[0]}) [-f|--full]"
exit 0
;;
... | true |
4cf54b21251ac3e8c2135809faa73386f6b38cf1 | Shell | jodyhuntatx/conjur_host_workflows | /run-demo | UTF-8 | 665 | 3 | 3 | [] | no_license | #!/bin/bash
. utils.sh
set_namespace $CONJUR_NAMESPACE_NAME
CONJUR_MASTER_ROUTE=$($cli get routes | grep conjur-master | awk '{ print $2 }')
CONJUR_MASTER_URL="https://$CONJUR_MASTER_ROUTE"
DEMO_CLIENT=demo-client
echo "Starting demo container..."
docker run \
-v $(pwd)/demo:/demo \
--entrypoint sh \
--name ... | true |
e6328d2640f3c094ddb06d4d143ad66afbc7211a | Shell | LuqiPan/dotvim | /.zshrc | UTF-8 | 3,244 | 2.59375 | 3 | [] | no_license | # Path to your oh-my-zsh configuration.
ZSH=$HOME/.oh-my-zsh
# Set name of the theme to load.
# Look in ~/.oh-my-zsh/themes/
# Optionally, if you set this to "random", it'll load a random theme each
# time that oh-my-zsh is loaded.
ZSH_THEME="robbyrussell"
# Example aliases
# alias zshconfig="mate ~/.zshrc"
# alias o... | true |
fc9528bb121ac4e1645649a71b2773e1ce3676f0 | Shell | garner1/LungCancerHeterogeneity | /coverage.sh~ | UTF-8 | 414 | 3.015625 | 3 | [] | no_license | #!/usr/bin/env bash
sample=$1
zcat S${sample}.json.gz | jq '.samples[0].readGroups[0].metrics[8].x.data[0].values' | tail -n +2 | grep -v ']' | sed 's/,//' > x
zcat S${sample}.json.gz | jq '.samples[0].readGroups[0].metrics[8].y.data[0].values' | tail -n +2 | grep -v ']' | sed 's/,//' > y
size=`cat x | wc -l`
rm -... | true |
eb7e0befad9629a3662a5b72f07f85ac565b10a9 | Shell | Shaik077/Tic-Tac-Toe-Game | /Tic-Tac-Toe-Game.sh | UTF-8 | 6,988 | 3.421875 | 3 | [] | no_license | #!/bin/bash
NUMBEROFROWS=3
NUMBEROFCOLUMNS=3
BOARD_SIZE=$(($NUMBEROFROWS*$NUMBEROFCOLUMNS))
PlayerSymbol="o"
ComputerSymbol="o"
Blocked=false
valid=false
position=0
count=0
declare -a board
function resetBoard(){
for (( position=1; position<=$BOARD_SIZE ; position++ )) do
board[$position]=0
done
}
displayBoard()... | true |
02f8abf872ea6688fe3567cde71ee8e349de4931 | Shell | AntTina/learn-shell | /cycle/mv.sh | UTF-8 | 132 | 2.75 | 3 | [] | no_license | #!/bin/bash
#把/lianxi/aa 下面的1.txt--20.txt 改为1.docx--20.docx
cd /lianxi/aa
for i in {1..20}
do
mv $i.txt $i.docx
done
| true |
13873448b2e167c13c98130e8854ac861d0c7a1c | Shell | liuzedong/bashtest | /bascbash/sh09.sh | UTF-8 | 584 | 3.421875 | 3 | [] | no_license | #!/bin/bash
# 描述:1,判断$1是否为hello,如果是的话,就显示Hello, How are you ?,2,如果没有添加参数的话,就提示用户必须使用参数的方法。3,如果用户输入的不是Hello,就提示用户需要使用hello
# 时间:2016.05.01 周日 20:44
# 作者:刘泽栋
PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:~/bin
export PATH
if [ -z "$1" ]; then
echo "你请必须输入一个参数。"
elif [ "$1" = "hello" ]; then
echo... | true |
d9f48d97357fedfd307ae2c6b64a0ad22529cd5e | Shell | jorvis/pandas | /ci/travis_encrypt_gbq.sh | UTF-8 | 904 | 4.09375 | 4 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
GBQ_JSON_FILE=$1
if [[ $# -ne 1 ]]; then
echo -e "Too few arguments.\nUsage: ./travis_encrypt_gbq.sh "\
"<gbq-json-credentials-file>"
exit 1
fi
if [[ $GBQ_JSON_FILE != *.json ]]; then
echo "ERROR: Expected *.json file"
exit 1
fi
if [[ ! -f $GBQ_JSON_FILE ]]; then
echo "ERROR: Fil... | true |
b3fa79ecdc2815be38d7836c4d409c7dcded3288 | Shell | tijira-1999/CodinClub | /day1_8/day7/array/integeradd.sh | UTF-8 | 263 | 3.359375 | 3 | [] | no_license | #!/bin/bash
echo "enter three integers"
sum=0
for((j=0;j<3;j++))
do
read -p "enter $((j+1)) integer " x
arr[$j]=$x
sum=$(($sum+${arr[$j]}))
done
echo "the array is " ${arr[@]}
echo "sum is " $sum
if [ $sum -eq 0 ]
then
echo "sm of three integers is zero"
fi
| true |
81d2b3d06955fe429f5283ba094fa81c1b4d3e6d | Shell | oldthreefeng/miscellany | /bash/Rundeck/zhanguo/online/xinchang/tmp/add_white_list.sh | UTF-8 | 1,010 | 3.234375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
zone=$1
user=sengoku
num=$(cat /data/tools/gamecode_rsync/xinchang/serverlist.txt |wc -l)
sourcefile=/data/zhanguo_app/login_server/include/maintenance.php
function add_all() {
for i in $(seq 1 $num)
do
for line in "$(awk "NR==$i" /data/tools/gamecode_rsync/xinchang/serverlist.txt)"
do
... | true |
b175f8a3f7bf01d98d22c0bccf5be2eae1ca65de | Shell | michaeltandy/crashjvm | /test.sh | UTF-8 | 800 | 3 | 3 | [
"MIT"
] | permissive | #!/bin/bash
cp target/crashjvm-*.jar target/jar\ with\ filename\ spaces.jar
java -cp target/jar\ with\ filename\ spaces.jar uk.me.mjt.CrashJvm exit
lastStatus=$?
if [ $lastStatus -ne 66 ]; then
echo "Wrong exit code calling exit? Saw $lastStatus" >&2
exit $lastStatus
fi
java -cp target/jar\ with\ filename\ space... | true |
dbb57895086ad1348a1dec672c4d096e954a7092 | Shell | bronson/bashes | /extract | UTF-8 | 497 | 3.625 | 4 | [] | no_license | #!/bin/sh
# Extracts the binaries from the debs.
bashes="2.05b 3.0.16 3.2.48 4.2.45"
set -e
for arch in i386 amd64; do
mkdir -p $arch
for version in $bashes; do
rm -rf tt
mkdir tt
cd tt
ar -x ../debs/bash${version}_${version}-2_${arch}.deb
tar zxf data.tar.gz
# some binaries are named w... | true |
5dc55482818f6e486199d08d7f8c455319488e0b | Shell | elobdog/scripts | /log.sh | UTF-8 | 2,478 | 4.3125 | 4 | [
"BSD-2-Clause"
] | permissive | #!/bin/bash
################################################################################
# Description :
## "echo"es usage of LOG().
# Arguments : NA
# Return Value:
## 0 for success. No other return value.
# Additional note: NA
################################################################################... | true |
a43c6c85fa64f3047060c5e3ef36fb512c610cb5 | Shell | rajatIIT/buildpack | /compile.sh | UTF-8 | 7,536 | 3.578125 | 4 | [] | no_license | #!/usr/bin/env bash
set -e
BUILD_DIR=$1
echo "set BUILD_DIR ${BUILD_DIR}"
CACHE_DIR=$2
echo "set CACHE_DIR ${CACHE_DIR}"
# config
VERSION="5.0.2"
echo "set VERSION ${VERSION}"
MINOR_VERSION="5.0"
echo "set MINOR_VERSION ${MINOR_VERSION}"
# LibreOffice Binaries URL
FILE_NAME=libreoffice${VERSION}_x86-64.tar.gz
echo... | true |
345c06af8be8c82d367491ccad64cbd58cf2bded | Shell | jjzhang166/module-builder | /modules/openssh/build.sh | UTF-8 | 4,324 | 2.609375 | 3 | [] | no_license | MAGISK_MODULE_HOMEPAGE=https://www.openssh.com/
MAGISK_MODULE_DESCRIPTION="Secure shell for logging into a remote machine"
MAGISK_MODULE_LICENSE="BSD"
MAGISK_MODULE_MAINTAINER="@termux"
MAGISK_MODULE_VERSION=8.4p1
MAGISK_MODULE_REVISION=1
MAGISK_MODULE_SRCURL=https://fastly.cdn.openbsd.org/pub/OpenBSD/OpenSSH/portable/... | true |
c5014e7d486defa2baaa01d981833df9ed81cada | Shell | CpanelInc/ea-profiles-cpanel | /SOURCES/pkg.prerm | UTF-8 | 351 | 2.875 | 3 | [] | no_license | #!/bin/bash
# uninstall not upgrade (that is handled in postinst)
if [[ "$1" == "0" ]]; then
echo "Cleaning active cpanel profiles directory."
rm -rf /etc/cpanel/ea4/profiles/cpanel/*.json
elif [[ "$1" == "remove" || "$1" == "purge" ]]; then
echo "Removing active cpanel profiles directory."
rm -rf /etc... | true |
ed089f118ca563e167d45652617464bc3d778957 | Shell | lucaslois/dotfiles | /dotfiles/.zshrc | UTF-8 | 1,877 | 2.703125 | 3 | [] | no_license | # Enable Powerlevel10k instant prompt. Should stay close to the top of ~/.zshrc.
# Initialization code that may require console input (password prompts, [y/n]
# confirmations, etc.) must go above this block; everything else may go below.
if [[ -r "${XDG_CACHE_HOME:-$HOME/.cache}/p10k-instant-prompt-${(%):-%n}.zsh" ]]; ... | true |
85a0afa37f1205c4e29d37b8a5ce64d215418848 | Shell | abigpotostew/easypolitics | /tools/mongosetupdb.sh | UTF-8 | 998 | 3.625 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/sh
MONGO_BIN=$1
HOST_PORT=$2
JS_FILE="tools/firstimesetupmongo.js"
DB_NAME=$3
ADMIN_PWD=$4
READONLY_PWD=$5
READWRITE_PWD=$6
if [[ -z "$MONGO_BIN" ]]; then
echo "First argument pointing to mongo binary is empty."
exit 1
fi
if [[ -z "$HOST_PORT" ]]; then
echo "Second argument, mongo connection <host>:<port>,... | true |
9199860d854585d1217c11480b1d92aa55a00d89 | Shell | aveith/sentiment_analysis-cpp | /tweet_generator/bin/bandwidth_test | UTF-8 | 836 | 3.375 | 3 | [] | no_license | #!/bin/sh
if [ ! "$1" ]; then
echo "Fill the source user@IP"
exit
else
echo "Source IP: $1"
SOURCE=$1
fi
if [ ! "$2" ]; then
echo "Fill the gateway user@IP"
exit
else
echo "Gateway IP: $2"
GATEWAY=$2
fi
if [ ! "$3" ]; then
echo "Fill the cloud user@IP"
exit
else
echo "Cloud IP: $3"
CLOUD=$3
fi
if [ ! "$... | true |
00e82d666b31547c42c6315df44ce036b2f76790 | Shell | dead-end/curses_csv_viewer | /docker/bin/test_docker.sh | UTF-8 | 4,985 | 4.15625 | 4 | [
"MIT"
] | permissive | #/bin/sh
################################################################################
# The script triggers the docker related builds and tests. It has an optional
# argument "clean" that results in removing all docker containers and images
# before the start of the tests.
#########################################... | true |
bd069614146b8b513ea43773cbc6a278f30bbf54 | Shell | squarevmedia/sherpa-render-full | /on_restart.sh | UTF-8 | 1,447 | 3.140625 | 3 | [] | no_license | #! /bin/bash
# Declaring bash location
# Have four startups
# 2 flask, 2 watcher
#
##
### For cleaning out and making a fresh instanc of the render services
##
#
# If the Azure File Share mount directory doesn't exist, connect it
echo Full render restart service
if [[ ! -d /mnt/csae48d5df47deax41bcxbaa/ ]]; then
su... | true |
54472cb3aa052dc671ab6a1123af2cf95eafb2d2 | Shell | Jackson-eu/I-m-batman | /gen.sh | UTF-8 | 677 | 3.03125 | 3 | [] | no_license | #!/bin/bash
cordova build --release android
## Settings for assignment
PATH_KEY=/home/jackson-eu/Install
PATH_RELEASE=./platforms/android/build/outputs/apk
APK_NAME='imbatman.apk'
OUTPUT_FOLDER=/home/jackson-eu/Install
## Assign release apk
jarsigner -tsa http://timestamp.digicert.com -verbose -sigalg SHA1withRSA... | true |
67232611d6382a189418b36afd2cde478cab12b4 | Shell | rkoster/cf-operator | /bin/apply-crds | UTF-8 | 617 | 2.59375 | 3 | [
"LicenseRef-scancode-unknown-license-reference",
"Apache-2.0"
] | permissive | #!/bin/bash
set -euo pipefail
if ! hash helm 2>/dev/null; then
echo "[Error] Please install the helm binary"
exit 1
fi
# Apply CRD´s to the cluster
helm template deploy/helm/cf-operator -x templates/fissile_v1alpha1_extendedjob_crd.yaml | kubectl apply -f -
helm template deploy/helm/cf-operator -x templates/fi... | true |
6c0131751db2f0541f4ec83b0853d879815d0754 | Shell | AussieJD/jd_scripts | /_check_me/defaultxterm.sh | UTF-8 | 436 | 2.734375 | 3 | [] | no_license | ##### shell script that starts an Xterm to 'vi' named file ###
#############################################################################
# Usage: starts an Xterm to 'vi' named file (in this case, contacts.jd)
cd $HOME
TITLE=JDsContacts
ICONTAG=jdscontacts
FILETOEDIT=contacts.jd
######## do not edit bel... | true |
515cb1d1d66a8864b6d8f718b13371e0bb140233 | Shell | baldurk/renderdoc | /docs/make.sh | UTF-8 | 9,556 | 3.6875 | 4 | [
"BSD-3-Clause",
"MIT",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/bin/bash
# Command file for Sphinx documentation, based on make.bat
# For use in msys or similar environment with bash & python
# in the path, but no make to run the makefile
# Autodetect sphinx-build or sphinx-build.exe
if [ "z$SPHINXBUILD" == "z" ]; then
if which sphinx-build.exe > /dev/null 2>&1; then
SPHIN... | true |
a4b9703f314f2fdde355d96edb4651f5ae7178e7 | Shell | SMT-COMP/smt-comp | /2023/results/find-disagreements.sh | UTF-8 | 795 | 3 | 3 | [] | no_license | #!/bin/bash -eu
#benchmark,solver,configuration,status,cpu time,wallclock time,memory usage,result,expected
INPUT=${1:-raw-results-sq.csv}
cat $INPUT | csvcut -c benchmark,result | grep -v -e starexec-unknown -e '--' | sort |uniq | cut -d, -f1 |uniq -c |grep -v ' 1 ' | cut -c 9- > disagreeing-sq.txt
COMMA=""
PATTE... | true |
27bd048937472cdbb9882b45485c88641753570b | Shell | Cholado/holbertonschool-low_level_programming | /0x09-static_libraries/script_makefiles | UTF-8 | 204 | 3.015625 | 3 | [] | no_license | #!/bin/bash
cat list | cut -d '.' -f1 |
while read file
do
filename=$(find ../ -name "${file}.c" | head -n1)
gcc -g -O -c "${filename}" -o "${file}.o"
ar rc libholberton.a "${file}.o"
done
| true |
7d2d9594b7b3fb350995266fa97a0d91f229cb28 | Shell | bravesoftdz/Codebot.Setup | /linux/install.fpc-3.0.linux.sh | UTF-8 | 10,822 | 4 | 4 | [] | no_license | #!/bin/bash
# Author of this script: http://www.getlazarus.org
# This is the universal Linux script to install Free Pascal and Lazarus
# If you need to fix something and or want to contribute, send your
# changes to admin at getlazarus dot org with "linux free pascal install"
# in the subject line.
# Change the line... | true |
8a8675b22458f8243059552c422feca199193b47 | Shell | mikexstudios/noceracode | /tafel_plot/plot_tafel.sh | UTF-8 | 187 | 2.546875 | 3 | [] | no_license | #!/bin/bash
if [ -z $1 ]
then
echo 'Usage: $0 [number]'
exit
fi
./tafel_$1.R | tee tafel_$1.log && open tafel_$1.pdf
#echo "./tafel_$1.R | tee tafel_$1.log && open tafel_$1.pdf"
| true |
457a00f1435c8fba4660d81d1b44c7531da686f4 | Shell | mcala/research_scripts | /direct_auger/prefix/u5_G1/make_auger.zsh | UTF-8 | 3,553 | 2.5625 | 3 | [] | no_license | #!/bin/zsh
#
if [[ $# -ne 4 ]]; then
echo "Usage: make_auger.zsh edensity kpt1 kpt2 kpt3"
exit
fi
DENSITY=$1
KPT1=$2
KPT2=$3
KPT3=$4
cat > direct.in << EOF
&CONTROL
prefix='u5_G1'
calculation='auger',
density_e=${DENSITY},
density_h=${DENSITY},
temperature=300,
nkint(:) = ${KPT1}, ${KPT2}, ${KPT3},
scratch_dir='... | true |
de19e6a208575877a8a2667086f6d17f6b1677af | Shell | stlcours/main | /libsigc++/PKGBUILD | UTF-8 | 748 | 2.609375 | 3 | [] | no_license |
pkgname=libsigc++
pkgver=2.10.7
_pkgver=2.10
pkgrel=1
pkgdesc="Libsigc++ implements a full callback system for use in widget libraries - V2."
arch=('x86_64')
url="https://libsigcplusplus.github.io/libsigcplusplus/"
license=('LGPL')
depends=('gcc-libs')
makedepends=('meson' 'ninja' 'mm-common')
options=('!libtool' '!em... | true |
ecf69e1345acb0d1d58874fb4f4b7a694a2d2851 | Shell | arago/OGIT | /doxygenHTML.sh | UTF-8 | 443 | 3.078125 | 3 | [
"MIT",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/bin/sh
#java -jar bin/ogit-tools-jar-with-dependencies.jar -input . -output docs/doxy.java -outputformat dox -inputformat ttl
cd NTO
for d in */ ; do
target=${d%/}
if [ -e $target/"README.md" ]
then yes | cp $target/"README.md" ../docs/$target".txtdoc"
echo '/*! @addtogroup' $target | cat - ../docs... | true |
781c7e1cd84546e39d8d64a5b08beb1561dadb81 | Shell | yan-hrushchynskyy/my_scripts | /set_alarms_elb.bash | UTF-8 | 6,644 | 3.78125 | 4 | [] | no_license | #---------------------------------------------------------------------------
# This script will set definited CloudWatch Alarms for all ELBs in the region
# Requires the AWS CLI and jq and you must setup your ALARMACTION
#
# v 1.0
#
# Modified by Yan Hrushchynskyi 2020
#------------------------------------------------... | true |
81e929489b5b6b745865ca60cee575476e06ef92 | Shell | aur-archive/x265 | /PKGBUILD | UTF-8 | 1,198 | 2.703125 | 3 | [] | no_license | # Maintainer: kfgz <kfgz at interia pl>
# Contributor: cataphract
# Contributor: lluixhi
# Contributor: PerfectGentleman
pkgname=x265
pkgver=0.6.298.7f4537c4db7a54e4
pkgrel=1
pkgdesc="free H265/HEVC video encoder"
arch=('i686' 'x86_64')
license=('GPL')
makedepends=('yasm' 'cmake')
conflicts=('x265-hg' 'x265-10bit')
ur... | true |
1c0af11c71e849760140412989f12745723f967c | Shell | fmidev/rack | /demo/make-composite-image.sh | UTF-8 | 632 | 2.546875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# Creates an image with 2 x 2 panels illustrating compositing
METHOD=${METHOD:-'WAVG,1,4'}
#NICK="-andre-$METHOD"
POLARPRODUCT=pCappi,500
NICK=${NICK:-"-raw-${POLARPRODUCT}-${METHOD}"}
#NICK="-andre-$POLARPRODUCT,$METHOD"
# POLARPRODUCT=cappi,500
DEMO=YES WEIGHT=1.0 OUTFILE=composite$NICK.png BBOX=8,48... | true |
7fe84304860f35c60cc71e6d6c38402e862a7409 | Shell | pyllyukko/matasano | /1-08/08.sh | UTF-8 | 731 | 3.703125 | 4 | [] | no_license | #!/bin/bash
################################################################################
# created: 27-05-2013
################################################################################
set -u
FILE="08.txt"
declare -i I=1
if [ ! -f "${FILE}" ]
then
echo "error: file \`${FILE}' not found!" 1>&2
exit 1
fi... | true |
698d3fe4de08919aaca8003b49b5f6edd3a5cd91 | Shell | RooneyMcNibNug/linux-scripts | /arm_temp.sh | UTF-8 | 388 | 3.21875 | 3 | [] | no_license | #!/bin/bash
## Quick script to get cpu temp on something like a Raspberry Pi
## Takes CPU temp in millicelsius by default, but converted to standard celsius
## Outputs every one second
## Designed to work not just with Raspberry Pi OS, but other arm64/armfh OSes as well
while true;
do
temp=$(</sys/class/thermal/t... | true |
009624d18d10deb111f9b57dc176e903519e02e9 | Shell | pipitone/datman | /assets/epitome/151012-spins/epitome/modules/pre/linreg_calc_fsl | UTF-8 | 3,405 | 3.453125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
cat <<EOF
export DATA_QUALITY=${1}
export COST=${2}
export REG_DOF=${3}
EOF
cat <<"EOF"
echo '*** MODULE: linreg_calc_fsl. Calculates EPI <--> T1 <--> MNI152. ********'
# Copy MNI brain to experiment directory
if [ ! -f ${DIR_DATA}/${DIR_EXPT}/anat_MNI.nii.gz ]; then
3dcopy ${DIR_AFNI}/MNI_avg152T1+... | true |
7ac78e96f6e811f7bd9c52a4d245c2d9d71af801 | Shell | adyang/dotfiles | /test/watch-tests | UTF-8 | 417 | 3.015625 | 3 | [] | no_license | #!/bin/bash
UNRESOLVED_DIR="$(dirname "${BASH_SOURCE[0]}")" || exit "$?"
SCRIPT_DIR="$(cd "${UNRESOLVED_DIR}" &>/dev/null && pwd -P)" || exit "$?"
readonly SCRIPT_DIR
grep --recursive --word-regexp --files-with-matches \
--exclude-dir="${SCRIPT_DIR}/../test/libs" \
--exclude=*.swp \
"${SCRIPT_DIR}/.." \
--re... | true |
cc3b340ed499abe9a6aaa82da35a77033d470a3a | Shell | ramanala/filepagestatus | /run.sh | UTF-8 | 213 | 2.5625 | 3 | [] | no_license | #!/bin/bash
NUMPAGES=20
FILENAME=foo
FSYNC=0
sudo rm -rf $FILENAME; dd if=/dev/urandom of=$FILENAME count=$NUMPAGES bs=4K conv=fsync > /dev/null 2>&1;
sudo ./pagestatus foo $NUMPAGES $FSYNC
sudo rm -rf $FILENAME | true |
b7b257bbe37045d0f922c865ae55a9c4ac0dcf5a | Shell | Nicholas-Horton/dotfiles | /home/.zshrc | UTF-8 | 5,826 | 2.890625 | 3 | [] | no_license | # =----------------------------------------------------------------------------=
# | |
# | ZSH Options |
# | ... | true |
10f199bce9c059cb5caf11a6f05288ae2977ae44 | Shell | Keni/scriptbox | /linux/mmedia/c4me | UTF-8 | 2,124 | 3.8125 | 4 | [] | no_license | #!/bin/bash
# convert any video files in current directory to
dumba() {
orig=`du -b orig | awk {'print $1'}`
code=`du -b code | awk {'print $1'}`
perc=`echo "100-(($code*100)/$orig)" | bc`
echo "$perc% compressed" | figlet
echo "original is $orig, compressed is $code, compression $perc%"
}
# to cut
# ffmpeg -i f... | true |
20ce0cc5ccdccea4b6511188b2d33b7f1a1fe155 | Shell | ythlml/mindspore | /example/mobilenetv2_imagenet2012/run_train.sh | UTF-8 | 745 | 3.53125 | 4 | [
"Apache-2.0",
"IJG",
"Zlib",
"LGPL-2.1-only",
"MIT",
"BSD-3-Clause",
"BSD-3-Clause-Open-MPI",
"GPL-2.0-only",
"BSL-1.0",
"MPL-2.0",
"MPL-2.0-no-copyleft-exception",
"LicenseRef-scancode-proprietary-license",
"LicenseRef-scancode-public-domain",
"AGPL-3.0-only",
"LicenseRef-scancode-unkno... | permissive | #!/usr/bin/env bash
if [ $# != 4 ]
then
echo "Usage: sh run_train.sh [DEVICE_NUM] [SERVER_IP(x.x.x.x)] [VISIABLE_DEVICES(0,1,2,3,4,5,6,7)] [DATASET_PATH]"
exit 1
fi
if [ $1 -lt 1 ] && [ $1 -gt 8 ]
then
echo "error: DEVICE_NUM=$1 is not in (1-8)"
exit 1
fi
if [ ! -d $4 ]
then
echo "error: DATASET_PATH=$4 i... | true |
25694064c39797f1ddc1c07763c2494abe86b25a | Shell | marktriggs/just-print-it | /build.sh | UTF-8 | 471 | 3.3125 | 3 | [] | no_license | #!/bin/bash
set -e
cd "`dirname "$0"`"
export GOPATH=$PWD
TARGET=build/just_print_it
if [ "$1" = "dev" ]; then
GOOS=linux GOARCH=amd64 go build -o $TARGET/just_print_it.linux just_print_it
exit
fi
rm -rf build
mkdir -p $TARGET
GOOS=linux GOARCH=amd64 go build -o $TARGET/just_print_it.linux src/just_print... | true |
620f615afa7757d38e17470606c3384491713004 | Shell | sourcegraph/sourcegraph | /cmd/server/jaeger.sh | UTF-8 | 454 | 3.421875 | 3 | [
"Apache-2.0",
"LicenseRef-scancode-warranty-disclaimer",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/usr/bin/env bash
set -euf -o pipefail
[ -n "$OUTPUT" ]
version=1.17.1
suffix="${version}-$(go env GOOS)-$(go env GOARCH)"
target="${OUTPUT}/usr/local/bin/jaeger"
url="https://github.com/jaegertracing/jaeger/releases/download/v${version}/jaeger-${suffix}.tar.gz"
mkdir -p "$(dirname "$target")"
curl -sS -L -f "${u... | true |
d53e9482a99732155ffa280bc92908c1f3f5384b | Shell | johnalanwillis/clusterUse_Summarizer | /scripts/filterDataSummarizerOutput.sh | UTF-8 | 447 | 3.390625 | 3 | [] | no_license | #!/bin/bash
#simple script filters output of dataUseSummarizer.sh by size using awk
set -e
set -u
set -o pipefail
#-------------------------------------------------------
#Define key variables
filterCutoff=1000000 #the size cutoff for our filterer in bytes
#-------------------------------------------------------
awk... | true |
4e485ec2235b850f18b4f64f093de22adfb44300 | Shell | tirumaraiselvan/graphql-engine | /server/benchmarks/benchmark_sets/deep_schema/adhoc_operations/replace_metadata.sh | UTF-8 | 498 | 2.84375 | 3 | [
"Apache-2.0",
"MIT"
] | permissive | #!/usr/bin/env bash
export iterations=200
function adhoc_operation() {
scriptDir=$(dirname -- "$(readlink -f -- "${BASH_SOURCE[0]}")")
# Clears all metadata
curl \
--request POST \
--header 'Content-Type: application/json' \
--data "@$scriptDir/clear_metadata.json" \
"$HASURA_URL/v1/query"
# Re... | true |
7b39ff0fca55cb9a4186626b2d38aa1553a3822f | Shell | Galmachar/bash | /use_cases/info_box.sh | UTF-8 | 545 | 3.828125 | 4 | [] | no_license | #!/bin/bash
#infobox
# global vars / default values
INFOBOX=${INFOBOX=dialog}
TITLE="Default"
MESSAGE="Something to say"
X=10
Y=20
#display infobox
funcDisplayInfoBox () {
$INFOBOX --title "$1" --infobox "$2" "$3" "$4"
sleep "$5"
}
#script - start
if [ -z "$1" ]; then
echo "empty command"
elif [ "$1" == "shutd... | true |
ba36c54b44b4190b3be1ae272c8b7ff97f457294 | Shell | Auyghur/--SVN------- | /邮件1xml | UTF-8 | 669 | 3.375 | 3 | [] | no_license | #!/bin/bash
#日志文件
logfile=/usr/local/nginx/logs/access.log
#开始时间
start_time=`date -d"$last_minutes minutes ago" +"%H:%M:%S"`
#结束时间
stop_time=`date +"%H:%M:%S"`
#过滤出单位之间内的日志并统计最高ip数
tac $logfile/access.log | awk -v st="$start_time" -v et="$stop_time" '{t=substr($4,RSTART+14,21);if(t>=st && t<=et) {pr... | true |
b48d9dd2dd179995154296a85673800d4ddeec72 | Shell | Cicadaes/td | /bestseller/wanalytics-etl-cloud/src/bin/batch/TopAreaTask.sh | UTF-8 | 7,158 | 3.984375 | 4 | [] | no_license | #!/bin/bash
basedir=$(cd "$(dirname "$0")"; pwd)
#地理位置接口
#按照城市级别进行调用,然后把结果和每个项目人群offset进行相交来获取
source $basedir/env.sh
source $basedir/func.sh
function usage() {
echo "Usage: $0 [-runDate] "
echo " -runDate yyyy-MM-dd"
}
# if no args specified, show usage
if [ $# -le 0 ];then
usage
exit 1
fi
#默认运行全部城市、全部项目
ci... | true |
e28195bfa84352f558ca1db33a9267a5202de787 | Shell | achaussier/config-files | /deploy.sh | UTF-8 | 283 | 2.609375 | 3 | [] | no_license | #!/bin/bash
###
# This script is used to deploy these config files to a new environment
###
# Create folders
mkdir -p ~/{.conky,.i3}
# Copy files
cp ./bash/.bash_aliases ~/
cp ./git/.gitconfig ~/
cp ./i3/config ~/.i3/
cp ./vim/.vimrc ~/
# Load new bash_aliases
. ~/.bash_aliases
| true |
9fe66f51e2b61c1128b99b75d4e29d907232492a | Shell | teddy/dotfiles | /i3-wm/.config/sxiv/exec/key-handler | UTF-8 | 1,071 | 3.4375 | 3 | [] | no_license | #!/bin/sh
#
# sxiv supports external key events.
# First you have to press Ctrl-x to send the next key to the external key-handler.
#
while read file
do
case "$1" in
"d")
mv "$file" $HOME/.local/share/Trash/files ;;
"D")
rm "$file" ;;
"W")
... | true |
91e00f3ba5662ad5cd96aac800fa573f8fe82656 | Shell | rstyczynski/umc | /tools/linux/gnucoreutils/8.4/df | UTF-8 | 152 | 2.6875 | 3 | [] | no_license | #!/bin/bash
file=$1
df -T -P $file | sed -n $sedBUFFER '2,$p' | sed $sedBUFFER "s/ */$CSVdelimiter/g;s/^ $CSVdelimiter//;s/$CSVdelimiter $//;s/%//"
| true |
22e48e3541fc5f033ad01f52414203a9bf12d246 | Shell | amiteshunique/char_driver | /run.sh | UTF-8 | 2,135 | 3.359375 | 3 | [] | no_license | #! /bin/bash
insert()
{
if ( make )
then
echo "Do you want to insert the module? [y/n]"
read choice
if [ $choice = 'y' ]
then
sudo insmod modules/lkm.ko nod=$1
lsmod | grep lkm
read
dmesg
read
echo "Enter majorno:"
read m
sudo mknod /dev/scull_char_dev c $m 0
echo "ls -l /dev/scul... | true |
ba2dc20d5c172e8692d87cc39e6a68234d5a0608 | Shell | alphagov-mirror/co-eu-transition-dashboard | /build.sh | UTF-8 | 197 | 2.71875 | 3 | [] | no_license | #!/bin/bash
if [ -z "$NODE_ENV" ] || [ "$NODE_ENV" == "development" ]
then
echo "Skipping build due to development environment"
exit
fi
rm -rf dist && npx webpack --config webpack.config.js
| true |
896cb4e051879debda334c0d90d88d15c870ffd2 | Shell | josejamilena/christian-fei.github.io | /scripts/purge | UTF-8 | 442 | 2.5625 | 3 | [] | no_license | #!/bin/bash
touch secrets
source secrets
printf "\n💥 purge cache for https://$CF_DOMAIN\n"
printf "\n"
# echo "CF_API_KEY: $CF_API_KEY"
# echo "CF_ZONE: $CF_ZONE"
# echo "CF_EMAIL: $CF_EMAIL"
curl -X POST "https://api.cloudflare.com/client/v4/zones/$CF_ZONE/purge_cache" \
-H "X-Auth-Email: $CF_EMAIL" \
-H... | true |
89b25ee765530199ae7ded1344a537da62fada01 | Shell | carnager/rofi-themes | /addtheme.sh | UTF-8 | 853 | 4.28125 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
currentdir="$(pwd)"
rofi_theme_sdir="$(dirname $0)"
main() {
cd "${rofi_theme_dir}"
theme=$(rofi -dump-xresources-theme | sed "s/User: $USER/User: $user/g")
read -p "Give your Theme a Name: " name
echo "Saving current rofi theme..."
echo ""
echo "Filename: Themes/${name}.t... | true |
92baa3b459c6153ea396605def254a33684153ef | Shell | diogoleitao/airdesk | /Termite-Cli/drivers/connectors/cloudstack/installApk.sh | UTF-8 | 227 | 2.65625 | 3 | [] | no_license | #!/bin/bash
password=$1
server=$2
apkPath=$3
apkName=$4
sshpass -p$password scp -o StrictHostKeyChecking=no $apkPath root@$server:~
sshpass -p$password ssh -o StrictHostKeyChecking=no root@$server "~/installApk.sh $apkName"
| true |
e01e177b7543f080ad1ec576a024d86c7e9351fd | Shell | devolo/tr069 | /base/inserts/bin/000_set_up_environment.sh | UTF-8 | 1,626 | 4.0625 | 4 | [
"MIT"
] | permissive | #!/bin/sh
try_up_to_n_times ()
{
local RESULT=""
local COMMAND="${1}"
local TRIES=${2:-60}
while [ -z "${RESULT}" ]; do
RESULT=$(sh -c "${COMMAND}")
if [ -z "${RESULT}" ]; then
sleep 1;
TRIES=$((${TRIES}-1))
if [ ${TRIES} -lt 1 ]; then
break;
fi
fi
done
echo "${RESULT}"... | true |
cc54fcf2bdcf9d07a6dff2ffa91a752aa6c48577 | Shell | termux/termux-packages | /packages/rappel/build.sh | UTF-8 | 1,629 | 3.234375 | 3 | [
"Apache-2.0"
] | permissive | TERMUX_PKG_HOMEPAGE=https://github.com/yrp604/rappel
TERMUX_PKG_DESCRIPTION="Rappel is a pretty janky assembly REPL"
TERMUX_PKG_LICENSE="custom"
TERMUX_PKG_LICENSE_FILE="LICENSE"
TERMUX_PKG_MAINTAINER="@termux"
_COMMIT=b848fce5e3759f3cbeda55e3cd8dcd7321525a44
TERMUX_PKG_VERSION=2022.11.07
TERMUX_PKG_SRCURL=git+https://... | true |
c410aad6bf51f93245e79545419c0c23d0b6cacf | Shell | XracerX/bash-algorithms | /Misc/Sattolos/shell/main.sh | UTF-8 | 203 | 3.046875 | 3 | [
"MIT"
] | permissive | #!bin/bash -x
ITEMS=("$@")
LEN=${#ITEMS[@]}
while [[ $LEN -gt 1 ]]; do
LEN=$((LEN-1))
R=$(( $RANDOM % $LEN ));
SWP=${ITEMS[R]}
ITEMS[$R]=${ITEMS[LEN]}
ITEMS[$LEN]=$SWP
done
echo ${ITEMS[@]}
| true |
1bae76672a06cb24ce6aaa623696a8feefcd8304 | Shell | tuxofil/yabs | /opensuse/yabs-crontask.sh | UTF-8 | 1,967 | 4.03125 | 4 | [] | no_license | #!/bin/sh
## ---------------------------------------------
## definitions
# where packages will be published
REPO=/srv/www/htdocs/
# work directory
RUNDIR=/var/lib/yabs
# SRPM packages queue directory
INCOMING_DIR="$RUNDIR"/incoming
# where build logs will be stored
LOGS_DIR="$RUNDIR"/logs
# where failed SRPMs wi... | true |
7ad93329a2544d8145146cfaca1cb8e29f1a38b5 | Shell | Ausbilder/CSGO_Server | /CS_GO_Competitive_2on2.sh | UTF-8 | 987 | 2.9375 | 3 | [] | no_license | #!/bin/bash
RCONPASSWORD=blan
PASSWORD=blan
TICKRATE=128
MAP=de_dust
MAPGROUP=mg_active
MAXPLAYERS=4
GAMEMODE=2
GAMETYPE=0
SERVERPORT=27015
TVPORT=27020
CLIENTPORT=27005
TOKEN=('8B6A88B138E85729369D23E09FDBC083','42F51CC038600C2DE6DA5E7041C4E031','447BC82D97E4AA39E0E19B7AF62CDCCA','4FA854D5A32673A67073C67EBE9F3C72','... | true |
e1cf0ed1da51b2d43588dcb32816351f0367fcaa | Shell | TNick/FlowVR | /flowvr/flowvr-scripts/flowvr-run-ssh | UTF-8 | 5,110 | 3.9375 | 4 | [] | no_license | #!/bin/bash
# Adds to $cmd the options to propagate the value of a variable (does nothing if the variable is not set or null)
function cmdpropenv() {
local ret=$(eval echo \${$1});
local prep="\${$1:+\"-e $1 \\\"$ret\\\"\"}"
local pap=`eval echo $prep`
cmd="$cmd $pap"
}
# Adds to $cmd the options to set a var... | true |
c9114a3431874bbfa5bac4de394dbea0b0bfc0fc | Shell | mgjerazi/bashscripts | /weather.sh | UTF-8 | 304 | 3.484375 | 3 | [] | no_license | #!/bin/bash
read -r conf value < $CONF
IFS=":"
while read -r keyword value
do
keyword=$(echo "$keyword" | sed 's/"//g')
value=$(echo "$value" | sed 's/[",]//g')
if [[ "$keyword" == "city" ]]
then
echo "The City is: $value"
else
echo "Keyword $keyword"
echo "Value is $value"
fi
done < $1
| true |
8f07994313d053c98b2855c33f62020c6a27cb51 | Shell | SrikanthParsha14/test | /bookshell/chapter28/broot.bash | UTF-8 | 3,023 | 4 | 4 | [
"MIT"
] | permissive | #!/bin/bash
#
# SCRIPT: broot.bash
#
# AUTHOR: Randy Michael
# DATE: 05/08/2007
# REV: 1.0.P
# PLATFORM: Any Unix
#
# PURPOSE: This shell script is used to monitor a login session by
# capturing all of the terminal data in a log file using
# the script command. This shell script name should be
# ... | true |
9e9ffad9f8f26b4539f728e146d7a7b494157575 | Shell | mikemajesty/nestjs-boilerplate-tests_examples | /devops/tag-create.sh | UTF-8 | 618 | 3.265625 | 3 | [
"MIT"
] | permissive | export ENVIROMENT=prd
export WORKING_DIR=../
git checkout master
NODE_VERSION=$(node -p -e "require('../package.json').version")
NAME=nest-boilerplate
CURRENT_TIMESTAMP=$(date '+%Y.%m.%d.%H.%M.%S')
TAG_NAME=$NAME-$ENVIROMENT-$NODE_VERSION-$CURRENT_TIMESTAMP
echo "Creating production tag '${TAG_NAME}'..."
nextVer... | true |
c455de8004be91825cad472c46ea85e1ce0c8196 | Shell | ferdousulhaque/cabot-monitoring | /bin/test_with_coverage | UTF-8 | 389 | 2.71875 | 3 | [
"MIT",
"LicenseRef-scancode-free-unknown",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/bin/bash
set -x
output_dir='test-results'
mkdir -p $output_dir
./manage.py collectstatic --no-input
TEMPLATE_DEBUG=True coverage run --source="./cabot/" manage.py test $@
status=$?
coverage report --omit="cabot/cabotapp/tests*"
coverage xml --omit="cabot/cabotapp/tests*" -o $output_dir/coverage.xml
coverage html ... | true |
5fc3eff7784c4c1c054804bb42c586c5f635dab2 | Shell | bass-bunny/jukebox | /assets/cmd/disc/rip_handler.sh | UTF-8 | 1,328 | 3.671875 | 4 | [] | no_license | #!/bin/bash
DEVICE="$device"
CDPARANOIA_LOG_PATH="$cdparanoia_log_path"
LAME_LOG_PATH="$lame_log_path"
RIPPING_DIR="$ripping_dir"
ENCODING_DIR="$encoding_dir"
## START THE RIPPING PROCESS
#
# -v --verbose
# Be absurdly verbose about the auto-sensing and reading process. Good for setup and debugging.
#
# -B --batch
... | true |
588a96d8da4ef70cfe8f6d7d2205f0e0d7740faf | Shell | sanjifr3/installation-scripts | /install/install_cuda.sh | UTF-8 | 1,028 | 3.328125 | 3 | [] | no_license | #!/bin/bash
CUDA=${CUDA_VERSION:-9.0}
DIR=${PROGRAM_PATH:-$HOME/programs}
OS_V=${OS_VERSION:-16.04}
echo "Installing CUDA $CUDA in $DIR..."
cd $DIR/cuda
if [ $OS_V != "aarch" ]; then
## install cuda
sudo dpkg -i cuda-repo-ubuntu1604-9-0-local_9.0.176-1_amd64.deb
sudo apt-key add /var/cuda-repo-9-0-local/7fa2a... | true |
d9c2ca4f2ee631ba1fb23890d0087a47d5d3331a | Shell | Gorian/scripts-portfolio | /Solaris/ai.sh | UTF-8 | 7,073 | 3.796875 | 4 | [] | no_license | #!/usr/bin/bash
#
# GSL Automated Install server wrapper script
#
# Layne Breitkreutz
# <Department Redacted>
# <Company Redacted>
# variables
tab_1=' '
fileName='GSL Solaris Automated Install Script'
fileVersion='1.1.0'
GSL_Standard_AI_Service='s11-sparc'
GSL_System_AI_Config_File='/export/auto_install/configs/pro... | true |
d09295ef90d37a31b3e924b0f69bd9968fb88202 | Shell | bobclarke/websphere-app-server-automation | /downloadWpsEars.sh | UTF-8 | 424 | 3.203125 | 3 | [] | no_license | # downloadWpsEars.sh
# Author: Bob Clarke
# Date: 22/08/2014
# Setup
props=config.props
[ ! -s "$props" ] && echo "$0 : cannot find properties file $props" && exit 1
. ./"$props" > /dev/null 2>&1
wsCmd="${wasInstallDir}/profiles/${dmgrProf}/bin/wsadmin.sh -lang jython -user ${wasUser} -password ${wasPass}"
for ear ... | true |
d4ae1824c9ff94bd01ff3d31560efd11140b8c30 | Shell | viperfx/zcli | /scripts/generate_dev_docs.sh | UTF-8 | 468 | 3.453125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# exit when any command fails
set -e
echo '🔄 Updating dev docs for all packages'
dirname="zcli"
readme="./packages/$dirname/README.md"
cd "./packages/$dirname/"
echo "Generating docs for $dirname"
npx oclif-dev readme --dir ../../docs --multi
echo "✅ Done"
cd ../..
git add packages/**/*.md
changed_fil... | true |
5b862c7629d7795a6888ae0e8fef11d51ca837f0 | Shell | plone/heroku-buildpack-plone | /configure_zopeconf.py | UTF-8 | 1,100 | 2.796875 | 3 | [] | no_license | #!/usr/bin/env bash
"""Since Plone cannot read env vars or command line parameters we have to
go through the zope.conf file and search/replace values. Bad Plone!"""
import os
DIR = '/app/'
zope_conf_orig = DIR + 'parts/instance/etc/zope.conf'
zope_conf_new = DIR + 'parts/instance/etc/zope.conf.new'
with open(zope_con... | true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.